FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 07-08-2008, 09:04 AM
Nagy Gabor
 
Default Use "pacman -S dep" in makepkg's dependency resolving

>From 9ca3c6a3ca270d3fadceb6892a5d1dacb9896759 Mon Sep 17 00:00:00 2001
From: Nagy Gabor <ngaba@bibl.u-szeged.hu>
Date: Tue, 8 Jul 2008 10:57:57 +0200
Subject: [PATCH] Use "pacman -S dep" in makepkg's dependency resolving

This method is equivalent with pacman's resolvedeps.

Signed-off-by: Nagy Gabor <ngaba@bibl.u-szeged.hu>
---
scripts/makepkg.sh.in | 9 ++-------
1 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index b810d60..bc1f89f 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -321,11 +321,6 @@ handledeps() {
[ $# -eq 0 ] && return $R_DEPS_SATISFIED

local deplist="$*"
- local dep depstrip striplist
- for dep in $deplist; do
- depstrip="$(echo $dep | sed -e 's|=.*$||' -e 's|>.*$||' -e 's|<.*$||')"
- striplist="$striplist $depstrip"
- done

if [ "$DEP_BIN" = "0" ]; then
return $R_DEPS_MISSING
@@ -337,9 +332,9 @@ handledeps() {
local ret=0

if [ "$ASROOT" = 0 ]; then
- sudo pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+ sudo pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
else
- pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+ pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
fi

if [ $ret -ne 0 ]; then
--
1.5.6.1


_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 

Thread Tools




All times are GMT. The time now is 01:43 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org